package admin.server.decryptlog;

import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.io.UnsupportedEncodingException;

public interface ShiperInter {

    IvParameterSpec getIvKey() throws UnsupportedEncodingException;

    SecretKeySpec getSkeySpec() throws UnsupportedEncodingException;

    String getAlgorithm();

    String setMetKey(String key);

}